Module java.corba
Package org.omg.PortableInterceptor

## Interface ObjectReferenceTemplate

- All Superinterfaces:
    `IDLEntity`, `ObjectReferenceFactory`, `Serializable`, `ValueBase`

      public interface ObjectReferenceTemplate
      extends ObjectReferenceFactory

  The object reference template. An instance of this must exist for each object adapter created in an ORB. The server_id, orb_id, and adapter_name attributes uniquely identify this template within the scope of an IMR. Note that adapter_id is similarly unique within the same scope, but it is opaque, and less useful in many cases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `adapter_name​()` |
    `String` | `orb_id​()` |
    `String` | `server_id​()` |

    - ### Methods inherited from interface org.omg.PortableInterceptor.ObjectReferenceFactory

      `make_object`

    - ### Methods inherited from interface org.omg.CORBA.portable.ValueBase

      `_truncatable_ids`

- - ### Method Detail

    - #### server_id

          String server_id​()

    - #### orb_id

          String orb_id​()

    - #### adapter_name

          String[] adapter_name​()